# core.sync.barrier

The barrier module provides a primitive for synchronizing the progress of a group of threads.
License:
Boost License 1.0
Authors:
Sean Kelly
Source:

class Barrier;
  This class represents a barrier across which threads may only travel in groups of a specific size.
  this(uint limit);
    Initializes a barrier object which releases threads in groups of limit in size.
    Params:

    uint limit | The number of waiting threads to release in unison.

    Throws:
    SyncException on error.
  void wait();
    Wait for the pre-determined number of threads and then proceed.
    Throws:
    SyncException on error.

Page generated by Ddoc. Copyright Sean Kelly 2005 - 2009.